Package org.eclipse.e4.ui.css.core.impl.sac

# Class CSSAndConditionImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.sac.AbstractCombinatorCondition
org.eclipse.e4.ui.css.core.impl.sac.CSSAndConditionImpl

All Implemented Interfaces:
  `ExtendedCondition`, `org.w3c.css.sac.CombinatorCondition`, `org.w3c.css.sac.Condition`

public class CSSAndConditionImpl extends AbstractCombinatorCondition
This class provides an implementation of the `CombinatorCondition` interface.

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractCombinatorCondition

`firstCondition, secondCondition`

### Fields inherited from interface org.w3c.css.sac.Condition

`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

## Constructor Summary

Constructors
Constructor
Description
`CSSAndConditionImpl(org.w3c.css.sac.Condition c1, org.w3c.css.sac.Condition c2)`
Creates a new CombinatorCondition object.

## Method Summary

Modifier and Type
Method
Description
`void`
`fillAttributeSet(Set<String> attrSet)`
Fills the given set with the attribute names found in this selector.
`short`
`getConditionType()`
SAC: Implements `Condition.getConditionType()`.
`boolean`
`match(Element e, String pseudoE)`
Tests whether this condition matches the given element.
`String`
`toString()`
Returns a text representation of this object.

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractCombinatorCondition

`equals, getFirstCondition, getSecondCondition, getSpecificity`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CSSAndConditionImpl

public CSSAndConditionImpl(org.w3c.css.sac.Condition c1, org.w3c.css.sac.Condition c2)
Creates a new CombinatorCondition object.

## Method Details

### getConditionType

public short getConditionType()
SAC: Implements `Condition.getConditionType()`.

### match

public boolean match(Element e, String pseudoE)
Tests whether this condition matches the given element.

### fillAttributeSet

public void fillAttributeSet(Set<String> attrSet)
Fills the given set with the attribute names found in this selector.

### toString

public String toString()
Returns a text representation of this object.

Overrides:
  `toString` in class `Object`